aboutsummaryrefslogtreecommitdiffstats
path: root/community/colord-gtk/APKBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'community/colord-gtk/APKBUILD')
-rw-r--r--community/colord-gtk/APKBUILD42
1 files changed, 42 insertions, 0 deletions
diff --git a/community/colord-gtk/APKBUILD b/community/colord-gtk/APKBUILD
new file mode 100644
index 0000000000..5fca22e5ae
--- /dev/null
+++ b/community/colord-gtk/APKBUILD
@@ -0,0 +1,42 @@
+# Contributor: Kevin Daudt <ops@ikke.info>
+# Maintainer: Kevin Daudt <ops@ikke.info>
+pkgname=colord-gtk
+pkgver=0.1.26
+pkgrel=1
+pkgdesc="GTK support library for colord"
+url="https://www.freedesktop.org/software/colord/"
+arch="all"
+license="GPL-3.0"
+makedepends="intltool glib-dev gtk+3.0-dev colord-dev"
+subpackages="$pkgname-dev"
+source="https://www.freedesktop.org/software/colord/releases/colord-gtk-$pkgver.tar.xz"
+builddir="$srcdir/$pkgname-$pkgver"
+
+build() {
+ cd "$builddir"
+
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --localstatedir=/var \
+ --disable-systemd \
+ --disable-systemd-login \
+ --disable-argyllcms-sensor \
+ --disable-nls \
+ --disable-schemas-compile \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$builddir"
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="bb9d6f3c037152ad791003375aa6c16c colord-gtk-0.1.26.tar.xz"
+sha256sums="28d00b7f157ea3e2ea5315387b2660fde82faba16674861c50465e55d61a3e45 colord-gtk-0.1.26.tar.xz"
+sha512sums="14f59110e2bc100c542323a68566102e9fb5ab44b679da21bf29101960dae38e646e926d884e14f1838a5991e6ebe15af72d5338723265868eadd5f026545c3d colord-gtk-0.1.26.tar.xz"